> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of available calculators

> Returns a list of all available paycheck calculators with HATEOAS links



## OpenAPI

````yaml /cbs/api-reference/cbs-api.yaml get /calculators
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: CBS API Documentation for Calculators by Symmetry
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: CBS API
  version: 1.201.1
servers:
  - url: https://calculators.symmetry.com/api
security: []
tags:
  - description: List of available paycheck calculators
    name: Calculators
  - description: Salary-based paycheck calculations
    name: Salary Calculator
  - description: Hourly-based paycheck calculations
    name: Hourly Calculator
  - description: Reverse paycheck calculations
    name: Grossup Calculator
  - description: 401k retirement contribution calculations
    name: 401k Calculator
  - description: 403b retirement contribution calculations
    name: 403b Calculator
  - description: Final paycheck calculations
    name: Final Pay Calculator
  - description: Stock option exercise income calculations
    name: Stock Option Calculator
  - description: Tuition reimbursement calculations
    name: Tuition Calculator
  - description: Hourly with tips calculations
    name: Tax Tip Calculator
  - description: Flat bonus calculations
    name: Flat Bonus Calculator
  - description: Aggregate bonus calculations
    name: Aggregate Bonus Calculator
  - description: Batch processing and API data objects
    name: Data
  - description: Deduction configuration
    name: Deductions
  - description: PDF report generation
    name: Print
  - description: State-specific tax parameters
    name: State Parameters
  - description: API documentation
    name: Documentation
  - description: Postman collection and environment
    name: Postman
paths:
  /calculators:
    get:
      tags:
        - Calculators
      summary: Get list of available calculators
      description: Returns a list of all available paycheck calculators with HATEOAS links
      operationId: getCalculators
      responses:
        '200':
          content:
            application/json:
              examples:
                List of Calculators:
                  description: List of Calculators
                  summary: Returns links to all available calculator endpoints
                  value:
                    _links:
                      401k:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/401k?state=&format=&print=false&imputed=false
                      403b:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/403b?state=&format=&print=false&imputed=false
                      bonus-agregate:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/agbonus?state=&format=&print=false&imputed=false
                      bonus-percent:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/flatbonus?state=&format=&print=false&imputed=false&date=0
                      finalpay:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/finalpay?state=&format=&print=false&imputed=false
                      grossup:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/grossup?state=&format=&print=false&imputed=false
                      hourly:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/hourly?state=&format=&print=false&imputed=false
                      salary:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/salary?state=&format=&print=false&imputed=false
                      self:
                        href: https://calculators.symmetry.com/api/calculators
                      stockoption:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/stockoption?state=&format=&print=false&imputed=false
                      taxtip:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/taxtip?state=&format=&print=false&imputed=false
                      tuition:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/tuition?state=&format=&print=false&imputed=false
                    content: Calculators
              schema:
                $ref: '#/components/schemas/RepresentationModel'
          description: Success
        '400':
          content:
            application/json:
              example:
                message: Bad Request, make sure to use GET request
          description: Bad Request, make sure to use GET request
        '401':
          content:
            application/json:
              example:
                message: No api key found
          description: No API key found
        '403':
          content:
            application/json:
              example:
                message: Invalid api key
          description: Invalid API key
        '404':
          content:
            application/json:
              example:
                error: Not Found
                path: /api/calculators/badpath
                status: 404
                timestamp: 1641573466465
          description: Not Found
        '405':
          content:
            application/json:
              example:
                error: Method Not Allowed
                path: /api/calculators/
                status: 405
                timestamp: 1641572607838
          description: Method Not Allowed
        '422':
          content: {}
          description: Unprocessable Entity
        '500':
          description: Internal Server Error
      security:
        - pcc-api-key: []
components:
  schemas:
    RepresentationModel:
      properties:
        _links:
          $ref: '#/components/schemas/Links'
      type: object
    Links:
      additionalProperties:
        $ref: '#/components/schemas/Link'
      type: object
    Link:
      properties:
        deprecation:
          type: string
        href:
          type: string
        hreflang:
          type: string
        name:
          type: string
        profile:
          type: string
        templated:
          type: boolean
        title:
          type: string
        type:
          type: string
      type: object
  securitySchemes:
    pcc-api-key:
      description: API key for CBS API authentication
      in: header
      name: pcc-api-key
      type: apiKey

````